Bug 1290058 - [RFE] auto-create or at least hint that dedicated registry needs to be created for ISV registries
[RFE] auto-create or at least hint that dedicated registry needs to be create...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management (Show other bugs)
Unspecified
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Daniel Lobato Garcia
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 10:14 EST by Dirk Herrmann
Modified: 2017-04-04 02:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18251 None None None 2017-01-26 08:40 EST

  None (edit)
Description Dirk Herrmann 2015-12-09 10:14:16 EST
Description of problem:

Our Red Hat federated index (registry.access.redhat.com) shows docker search results from our ISV registries pointing to these dedicated registries (for example registry-mariadbcorp.rhcloud.com). 

If our Red Hat registry has been configured as an external registry in Satellite 6 the federated index shows results from our ISV registries but if a user selects them it causes a 404 error since the registry the images lives in is not the same as configured and used. 

Instead of the 404 error message we should show a hint that these ISV registries need to be configured as additional external registries including a link to the "New External Registry" page. Automatically creating the selected ISV repo as an external registry would be even better.

Version-Release number of selected component (if applicable):

6.1.4

How reproducible:


Steps to Reproduce:
1. Create Red Hat registry as an external registry 
2. Use the New Container wizard and select the Red Hat registry
3. Search for mariadb and select the registry-mariadbcorp.rhcloud.com/rhel7/mariadb-enterprise-server repo

Actual results:

Error message: 404 Resource not found

Expected results:

Warning: The repository location is outside of the current registry. You need to configure it as an additional external registry first. Go here (Link) to configure this registry.

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:08:58 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Tom McKay 2017-01-26 08:40:28 EST
Created redmine issue http://projects.theforeman.org/issues/18251 from this bug

Note You need to log in before you can comment on or make changes to this bug.